This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1473862 - pkcon repo-disable fails in Beaker with pk_progress_bar_init: assertion failed: (self->priv->tty_fd > 0)
pkcon repo-disable fails in Beaker with pk_progress_bar_init: assertion faile...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 17:52 EDT by Matěj Cepl
Modified: 2017-09-11 02:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of the failed test (7.01 KB, text/plain)
2017-07-21 17:52 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2017-07-21 17:52:09 EDT
Created attachment 1302564 [details]
log of the failed test

Description of problem:
When running command

 $ pkcon -p repo-disable beaker-Workstation-optional-debuginfo

it fails with

PackageKit:ERROR:pk-progress-bar.c:371:pk_progress_bar_init: assertion failed: (self->priv->tty_fd > 0)

and error level -6, which according to the manpage pkcon(1) should mean “The initial setup failed, e.g. setting the network proxy.”

What does it mean here?

Version-Release number of selected component (if applicable):
PackageKit-1.1.5-1.el7.x86_64

How reproducible:
100%

Additional info:
Attached log from the beaker run of the linked PackageKit test case.
Comment 2 Matěj Cepl 2017-07-21 17:53:56 EDT
Note also other similarly run tests (see https://tcms.engineering.redhat.com/plan/21555/ci-packagekit#testcases) work just fine in the similar environment: e.g., Beaker VM running tests in shell without Gnome.
Comment 3 Matěj Cepl 2017-09-11 02:47:24 EDT
Probably http://faf.lab.eng.brq.redhat.com/faf/reports/3615/ ?

Note You need to log in before you can comment on or make changes to this bug.